/*
 *-----------------------------------------------------------------
 *
 * Name:	jmptbl.S
 *
 * RCS:  $Id: jmptbl.S,v 1.3 2002/03/11 18:28:34 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/18/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <sys/mips.h>
#include <exports/jmptbl.h>

#ifndef PROM

#ifdef __long64
#define	LOAD	ld
#else
#define	LOAD	lw
#endif

#define JMPTBL_ENTRY(func, addr_offset)		\
	.text;									\
	.globl	func;							\
	.ent	func;							\
func:;										\
	la		t0,TBLBASE_ADDR+addr_offset;	\
	LOAD	t0,0(t0);						\
	j		t0;								\
	j		ra;								\
	.end	func

JMPTBL_ENTRY(cliexit, 0x0)
JMPTBL_ENTRY(onintr, 0x4)
JMPTBL_ENTRY(get_promver, 0x8)
JMPTBL_ENTRY(get_mem_size, 0xC)
JMPTBL_ENTRY(get_shmem_size, 0x10)

#endif	/* !PROM */

