/*
 *-----------------------------------------------------------------
 *
 * Name:	cm-vars.c
 *
 * RCS:  $Id: cm-vars.c,v 1.8 2002/12/04 01:46:14 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	Global variables (externs are in cm-api.h)
 *
 * Created by:	Rick Lund
 *
 * Date Created:	4/24/01
 *
 *-----------------------------------------------------------------
 */

#ifndef SSC

#include <nfx-incl.h>
#include <exports/cm-api.h>

uint32		nfxMySlotId;		/* NFX_SLOT_MIN - NFX_SLOT_MAX */
uint32		nfxMyCPUId CPU_PRIVATE;
uint32		nfxMyCoreId CPU_PRIVATE;
uint32		nfxMyChassisId;
uint32		nfxSscSlotId;

uint32		cm_inited = 0;
uint32		cm_debug = 0;

uint32		cm_ssc_rev;

#endif	/* !SSC */

