/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Copyright (C) 2001, Agile Storage Inc.
 * 
 * RCS:  $Id: cifs-utils.c,v 1.1.1.1 2002/04/23 17:41:16 laurentb Exp $
 *
 * Name			: cifs-utils.c
 *
 * Description	: Contains CIFS utility functions.
 *
 * Created by	: Xiaobing Zhang
 *
 * Date Created	: 03/22/2002
 *
 *-----------------------------------------------------------------
 */

#include "cifs-api.h"
#include "cifs-utils.h"






//****************************************************************************
		

char TxtDumpMem[]="         0  1  2  3  4  5  6  7  8  9  A  B  C  D  E  F  0123456789ABCDEF\n";


void memDump(void *address, uint32 size)
{
int i, j;
uint32 s, m;

  s = 0;
  printf(TxtDumpMem);
  while (s < size)
  {
    if (s + 16 < size) j = 16;
    else j = size - s;
    printf("%p ", address);
    for (i = 0; i < j; i++)
      printf("%02x ", *(((uchar8*)address)+i));
    if (j < 16) for (i = j; i < 16; i++) printf("   ");
    for (i = 0; i < j; i++) {
      m = *(((uchar8*)address)+i);
      if (m >= 0x20 && m < 0x7f) printf("%c", m);
      else printf(".");
    }
    printf("\n");
    address += j;
    s += j;
  }
}


void memDumplight(void *address, uint32 size)
{
int i, j;
uint32 s;

  s = 0;
  while (s < size)
  {
    if (s + 16 < size) j = 16;
    else j = size - s;
    for (i = 0; i < j; i++)
      printf("%02x ", *(((uchar8*)address)+i));
    printf("\n");
    address += j;
    s += j;
  }
}

