/*
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * $Id: btree-debug.c,v 1.6 2001/07/24 19:07:43 haahr Exp $
 */

#include "btree.h"

#if 0
void
check_page_children(fs_Btree *t)
{
	uint64 max_key_prev, min_key_next;
	int i;
	return;
	for (i = 0; i < t->nkeys; i++) {
		fs_Buf *child, *next_child;
		child = get_buf(*get_left(t, i));
		if (i < t->nkeys - 1)
			next_child = get_buf(*get_left(t, i+1));
		else {
			if (t->right.length == 0)
				break;
			else
				next_child = get_buf(t->right);
		}
		if (t->level > 1) {
			max_key_prev = *get_key(child->u.btree, child->u.btree->nkeys - 1);
			min_key_next = *get_key(next_child->u.btree, 0);
		} else {
			max_key_prev = fs_dirleaf_maxkey(child);
			min_key_next = fs_dirleaf_minkey(next_child);
		}
		assert(max_key_prev <= min_key_next);
	}
}
void
check_page(fs_Btree *t, uint32 *starts)
{
	uint32 test[FS_BTREE_MAXKEYS];
	int i;

	for (i = 0; i < FS_BTREE_MAXKEYS; i++)
		test[i] = 0xdeadbeef;
	for (i = 0; i < FS_BTREE_MAXKEYS; i++) {
		assert(t->index[i] < FS_BTREE_MAXKEYS);
		assert(test[t->index[i]] == 0xdeadbeef);
		test[t->index[i]] = i;
		if (i < t->nkeys) {
			assert(get_left(t, i)->length == 1);
			assert(starts[get_left(t, i)->start] == 0xdeadbeef);
			starts[get_left(t, i)->start] = i;
		}
	}
	if (t->right.length != 0) {
		assert(t->right.length == 1);
		assert(starts[t->right.start] == 0xdeadbeef);
		starts[t->right.start] = -1;
	}
}
#endif

#if 0
		{
			int i;
			uint32 starts[20000];
			for (i = 0; i < 20000; i++)
				starts[i] = 0xdeadbeef;
			check_page(t, starts);
			check_page(get_buf(pivot.extent)->u.btree, starts);
		}
#endif

#if 0
/*
 * Generic B-tree inner node traversal routine. Used by readdir at
 * the moment but this may change.
 */
void
fs_bt_traverse(fs_Buf *buf, void (*leaffunc)(uint64))
{
	fs_Btree *t = buf->u.btree;
	int i;

	t = get_buf(blknum)->u.btree;

	for (i = 0; i < t->nkeys; i++) {
		if (t->level > 1)
			fs_bt_traverse(*get_left(t, i), leaffunc);
		else
			(*leaffunc)(*get_left(t, i));
	}

	if (t->right != 0) {
		if (t->level > 1)
			fs_bt_traverse(t->right, leaffunc);
		else
			(*leaffunc)(t->right);
	}
}

#endif
