/*
 * Name		: fs-evm.h
 * RCS		: $ID$
 * Description	: FS-EVM grow interface
 * Created by	: Rahul Khona
 * Date Created	: 28/01/2002
 */

#ifndef _FS_EVM_H_
#define _FS_EVM_H_

#include "exports/fs-api.h"

/*
 * Message sent by fs when it detects that it needs to
 * grow the filesystem
 */

typedef struct fs_EvmMsgGrowFileSystem {
    uint32                  msgId;
    evm_volId_t             volId;
    uint64                  blocksAvail;
    uint64                  fsSize;
} fs_EvmMsgGrowFileSystem_t;

#endif  // _FS_EVM_H_
