/*
 *-----------------------------------------------------------------------------
 *
 * Name:	hal.h
 *
 * RCS:		$Id: hal.c,v 1.5 2001/08/30 00:47:48 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	Host-Adapter-Layer Switch table
 *
 * Created by:	Radek Aster
 *
 * Date Created: 6/5/11
 *
 *-----------------------------------------------------------------------------
 */

#include "hal.h"
#include <exports/debug.h>

static hal_dispatch_entry_t *hal_dt = NULL;

hal_dispatch_entry_t *
hal_dt_entry_new(void)
{
	VERIFY(hal_dt == NULL);

	hal_dt = (hal_dispatch_entry_t *)eee_ramAlloc(sizeof(hal_dispatch_entry_t));
	bzero(hal_dt, sizeof(hal_dispatch_entry_t));

	return(hal_dt);
}

hal_dispatch_entry_t *
hal_dt_entry_get(void)
{
	return(hal_dt);
}
