/*
 *-----------------------------------------------------------------
 *
 * Name:	strdchr.c
 *
 * RCS:  $Id: strdchr.c,v 1.1.1.1 2001/07/04 00:17:13 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: deletes the first char from the string p
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strdchr (
	char8	* p
)
{
	char8	* t;

	if (!p)
		return (p);

	for (t = p; *t; t++)
		*t = *(t + 1);

	return (p);

}	/* strdchr() */

