/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: strncat.c,v 1.1 2001/11/05 18:15:17 bob Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: concatenate n bytes of src string to dst string
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strncat (
	char8	*dst,
	char8	*src,
    __SIZE_TYPE__   n
)
{
	char8	* d;

	if (!dst || !src)
		return (dst);

	d = dst;

	for (; *d; d++);

	for (; n && *src; src++, n--)
		*d++ = *src;

	*d = 0;

	return (dst);

}	/* strncat() */

