/*
 *-----------------------------------------------------------------
 *
 * Name:	pci-error.h
 *
 * RCS:  $Id: pci-error.h,v 1.1.1.1 2001/07/04 00:18:54 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	Error definitions for PCI module
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/22/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _PCI_ERROR_H
#define _PCI_ERROR_H

#define PCI_ERR_BAD_PARAM			(PCI_ERROR_BASE+0)
#define PCI_ERR_MASTER_ABORT		(PCI_ERROR_BASE+1)
#define PCI_ERR_TARGET_ABORT		(PCI_ERROR_BASE+2)
#define PCI_ERR_PARITY_ERROR		(PCI_ERROR_BASE+3)

#endif	/* _PCI_ERROR_H */

