/*
 *------------------------------------------------------------------------------
 *
 * Name:	raid-msg.h
 *
 * RCS:		$Id: raid-msg.h,v 1.1 2002/04/26 03:39:15 raster Exp $
 *
 * Copyright (C) 2001, 2002 Agile Storage Inc.
 *
 * Description:	RAID config manager message processing code definitions.
 *
 * Created by:	Radek Aster
 *
 * Date Created: 4/16/02
 *
 *------------------------------------------------------------------------------
 */

#ifndef __RAID_MSG_H__
#define __RAID_MSG_H__

void raid_msg_init(void);
void raid_receive_poll(void);
void raid_send_msg(void *, int, char *, uint32, uint32);
void raid_cleanup(void);

#endif /* __RAID_MSG_H__ */
