/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: gpp-defs.h,v 1.1 2002/09/22 00:23:20 johnh Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	John Hahn
 *
 * Date Created:	9/18/02
 *
 *-----------------------------------------------------------------
 */

#ifndef _GPP_DEFS_H
#define _GPP_DEFS_H

#include <sys/sb1250/sb1250_regs.h>

#ifndef SIBYTE
#error Non-SIBYE Target build is including sm-sb1250/gpp-defs.h !!!
#endif
/*
 *  Front Panel Led's
 *
 *  OK LED -- GPIO[11:10]
 *
 *  00 = amber (n/a for OK LED)
 *  01 = green
 *  10 = red (n/a for OK LED)
 *  11 = off
 *
 *  FLT LED -- GPIO[15:14]
 *
 *  00 = amber (n/a for FLT LED)
 *  01 = green (n/a for FLT LED)
 *  10 = red
 *  11 = off
 *
 *  gpio direction 1=output 0=input
 *  the direction bits are defined in hwMap.h
 */
#define GPP_TXRX_LED_FLT_MASK       0xc000
#define GPP_TXRX_LED_FLT_SHIFT      14
#define GPP_TXRX_LED_FLT_OFF        (3 << GPP_TXRX_LED_FLT_SHIFT)
#define GPP_TXRX_LED_FLT_RED        (2 << GPP_TXRX_LED_FLT_SHIFT)

#define GPP_TXRX_LED_OK_MASK        0x0c00
#define GPP_TXRX_LED_OK_SHIFT       10
#define GPP_TXRX_LED_OK_OFF         (3 << GPP_TXRX_LED_OK_SHIFT)
#define GPP_TXRX_LED_OK_GREEN       (1 << GPP_TXRX_LED_OK_SHIFT)

#define GPP_FP_DIAG_LED_MASK        0xff00
#define GPP_FP_DIAG_LED1_MASK       0x0100
#define GPP_FP_DIAG_LED2_MASK       0x0200
#define GPP_FP_DIAG_LED3_MASK       0x0400
#define GPP_FP_DIAG_LED4_MASK       0x0800
#define GPP_FP_DIAG_LED5_MASK       0x1000
#define GPP_FP_DIAG_LED6_MASK       0x2000
#define GPP_FP_DIAG_LED7_MASK       0x4000
#define GPP_FP_DIAG_LED8_MASK       0x8000

#endif /* _GPP_DEFS_H */
