/*
 *------------------------------------------------------------------------------
 *
 * Name:	tape-msg.h
 *
 * RCS:		$Id: tape-msg.h,v 1.3 2002/04/12 00:59:16 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	Tape driver message processing code definitions.
 *
 * Created by:	Radek Aster
 *
 * Date Created: 10/2/01
 *
 *------------------------------------------------------------------------------
 */

#ifndef __TAPE_MSG_H__
#define __TAPE_MSG_H__

void tape_msg_init(void);
void tape_receive_poll(void);
void tape_send_msg(void *, int, char *, uint32, uint32);
int tape_get_alias(scsi_id_t, int32 *);

#endif /* __TAPE_MSG_H__ */
