/*
 *-----------------------------------------------------------------
 *
 * Name:	timer-error.h
 *
 * RCS:  $Id: timer-error.h,v 1.1.1.1 2001/07/04 00:44:31 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	Error codes for timer functions
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/23/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _TIMER_ERROR_H
#define _TIMER_ERROR_H

#define TIMER_ERR_INVALID_HANDLE		(TIMER_ERROR_BASE+0)
#define TIMER_ERR_NO_TIMER_AVAILABLE	(TIMER_ERROR_BASE+1)
#define TIMER_ERR_ALREADY_RUNNING		(TIMER_ERROR_BASE+2)
#define TIMER_ERR_NOT_RUNNING			(TIMER_ERROR_BASE+3)
#define TIMER_ERR_TIMER_RUNNING			(TIMER_ERROR_BASE+4)
#define TIMER_ERR_Q_ERROR				(TIMER_ERROR_BASE+5)

#endif	/* _TIMER_ERROR_H */

