/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: delay.c,v 1.2 2002/11/20 23:46:56 rick Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	4/8/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <sys/tx3927.h>

/*-----------------------------------------------------------------
 * Name:	delay_us
 *
 * Description:	blocking delay loop which uses the internal gerneral purpose
 *				timer.
 *
 *				Parameter is in microseconds.
 *
 *				Uses timer 1
 *
 * Created by:	Rick Lund
 *
 * Date Created:	4/8/02
 *
 *-----------------------------------------------------------------
 */
void
delay_us(
	uint32	us			/* how many microseconds to pause */
)
{
	uint32	i;
	for (i=0; i<(us*100); i++);
}

