/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: opts.c,v 1.2 2002/01/03 20:19:51 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	10/14/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-target.h>
#include "pmon.h"

#if RAL_XXX
const Optdesc   sload_opts[] =
{
	{"-s", "don't clear old symbols"},
	{"-b", "don't clear breakpoints"},
	{"-e", "don't clear exception handlers"},
	{"-a", "don't add offset to symbols"},
	{"-t", "load at top of memory"},
	{"-i", "ignore checksum errors"},
#ifdef FLASH
	{"-f", "load into flash"},
#endif
	{"-n", "don't load symbols"},
	{"-y", "only load symbols"},
	{"-v", "verbose messages"},
	{"-o<offs>", "load offset"},
	{"-c cmdstr", "send cmdstr to host"},
	{"-u<num>", "set baud rate"},
	{"-h<port>", "load from <port>"},
	{"-g", "fast srec download"},
	{0}
};
#endif


const Optdesc   load_opts[] =
{
	{"-a <addr>", "load binary file at address"},
	{"[ip]", "load file from network (tftp)"},
	{"<fname>", "filename"},
	{0}
};

