/* bsdhelper.h */

#ifndef _BSDHELPER_H
#define _BSDHELPER_H
#include <stdarg.h>

int execute_command(char *command, int argc, ...);
int GetDelimiteredParam(int start, char *srcbuf, char *dstbuf);
char *GetIpAddressStr(u_int32_t src);
u_int32_t GetIpAddressFromStr(char* buf);
u_int32_t GetDefaultRoute(void);
int SetDefaultRoute(u_int32_t defRoute);
int SetSystemTime(void *data);
int VerifyUserPass(char *user, char *passwd);
int RebootBSD(void);

#endif
