/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: swint.c,v 1.4 2002/10/16 03:03:14 johnh Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	4/4/02
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <sys/mips.h>
#include "except-api.h"
#include "except.h"

void
sw_int_hndlr(
	uint32 sr,
	uint32 cause,
	address_t epc)
{
	printf("SW%s%s Interrupt, SR = 0x%x, CAUSE = 0x%x, EPC = %p\n",
											cause & (CAUSE_SW1) ? "1" : "",
											cause & (CAUSE_SW2) ? "2" : "",
											sr, cause, (void *)epc);
	_mips_mtc0(C0_CAUSE, cause & ~(CAUSE_SW1 | CAUSE_SW2));
}

