/*
 *------------------------------------------------------------------------------
 *
 * Name:	ispfc_debug.h
 *
 * RCS:		$Id: ispfc_debug.h,v 1.2 2001/08/25 02:23:50 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	QLogic 2300 FC HAL driver debug definitions
 *
 * Created by:	Radek Aster
 *
 * Date Created: 7/11/01
 *
 *------------------------------------------------------------------------------
 */

#ifndef __ISPFC_DEBUG_H__
#define __ISPFC_DEBUG_H__

extern int ispfc_dbg_level;

#define P printf

#ifdef DEBUG
#define FC_DBG(level, line) \
	if (ispfc_dbg_level >= level) printf line
#else
#define	FC_DBG(level, line)
#endif

#define PANIC panic

#endif /* __ISPFC_DEBUG_H__ */
