/*
 *-----------------------------------------------------------------
 *
 * Name:	fgets.c
 *
 * RCS:  $Id: fgets.c,v 1.1.1.1 2001/07/04 00:17:15 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: get string from stream (only standard input is supported!)
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/22/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
fgets (
	char8	* dst,
	int32	max,
	int32	* fp			/* unsupported and ignored */
)
{
	int32	c;
	char8	* p;
	
	/* get max bytes or upto a newline */
	
	for (p = dst, max--; max > 0; max--) {
/*
		if ((c = fgetc (fp)) == EOF)
*/
		if ((c = getchar()))
			break;
		*p++ = c;
		if (c == '\n')
			break;
	}

	*p = 0;

	if (p == dst)
		return (0);

	return (p);

}	/* fgets() */

