/*
 *-----------------------------------------------------------------
 *
 * Name:	isspace.c
 *
 * RCS:  $Id: isspace.c,v 1.2 2002/11/22 19:44:54 maximk Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: returns 1 if c == tab newline or space
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/22/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int
isspace (
	int32	c
)
{
	switch (c) {
		case ' ':
		case '\t':
		case '\n':
		case '\r':
		case '\f':
		case '\v':
				return (1);
	}

	return (0);

}	/* isspace() */

