/*
 *-----------------------------------------------------------------
 *
 * Name:	strchr.c
 *
 * RCS:  $Id: strchr.c,v 1.4 2002/11/26 22:48:14 bob Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: return a ptr to c in p, return NUL if not found
 *
 * Created by:	Rick Lund
 *
 * Date Created:	6/7/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

char8 *
strchr (
	const char8	* p,
	char8	c
)
{
	if (!p)
		return (0);

	for (; *p; p++)

	if (*p == c)
		return (char *)(p);

	return (0);

}	/* strchr() */

char8 *
strnchr (
	char8	* p,
	char8	c,
    int32   n
)
{
    char8 * stop;

	if (!p)
		return (0);

    if (n <= 0)
        return (0);

    stop = p + n;

	for (; *p; p++) {
        if (p == stop)
            break;
	    if (*p == c)
		    return (p);
    }

	return (0);

}	/* strnchr() */

