/*
 *-----------------------------------------------------------------
 *
 * Name:	strempty.c
 *
 * RCS:  $Id: strempty.c,v 1.2 2001/10/03 18:10:34 maximk Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description: returns 1 if p contains nothing but isspace
 *
 * Created by:	Rick Lund
 *
 * Date Created:	5/31/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>

int
strempty (
	char8 	* p
)
{
	if (!p)
		return (1);

	for (; *p; p++)
		if (!isspace (*p))
			return (0);

    return (1);

}	/* strempty() */

