/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name:        luc-init.h
 *
 * RCS:  $Id: luc-init.h,v 1.1.1.1 2001/07/31 06:34:07 shaun Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description: 
 *
 * Created by:	Shaun Hui
 *
 * Date Created: 05/01/01
 *
 *-----------------------------------------------------------------
 */

#ifndef _LUC_INIT_H
#define _LUC_INIT_H


int32 luc_init( void );
int32 luc_initRCR( luc_cfgBlk_t *lucCfgP );
int32 luc_initFBR( luc_cfgBlk_t *lucCfgP );
int32 luc_initTRR( luc_cfgBlk_t *lucCfgP );
int32 luc_initTCR( luc_cfgBlk_t *lucCfgP );

int32 luc_initCAM( luc_cfgBlk_t *lucCfgP );
int32 luc_initReg( luc_cfgBlk_t *lucCfgP );

int32 luc_initFlowTbl( );
int32 luc_initIpTbl( );
int32 luc_initVlanTbl( );

void *luc_allocLocalMem( int32 size );
void *luc_allocCtrlMem( int32 size );


#endif
