/*  
 *=============================================================================
 * File Name  :    sb1250-dm-api.h
 *
 * Created    :    09 February 2002
 *
 * Author     :    Frank Salzmann
 *
 * Copyright(c)  Agile Storage, Inc. 2002
 *
 * RCS        : $Id: sb1250-dm-api.h,v 1.2 2002/08/28 18:27:55 bob Exp $
 *=============================================================================
 */
#ifndef SB1250_DM_API_H_INCLUDED
#define SB1250_DM_API_H_INCLUDED


#define SB1250DM_CHNL_CNT				 4

//-- Use these defines when opening a data mover channel.
#define SB1250DM_CHNL_ANY				 0
#define SB1250DM_CHNL1					 1
#define SB1250DM_CHNL_SAC_TO_SNIM		 2
#define SB1250DM_CHNL_SAC_TO_LUC		 3
#define SB1250DM_CHNL4					 4

//-- Possible error codes 
#define SB1250DM_OK						 0
#define SB1250DM_ERR					-1
#define SB1250DM_CHNL_NOT_AVAILABLE		-2


//-- Function Prototypes
int sb1250dm_openChnl(int reqChnl, int (*callback)());

int sb1250dm_closeChnl(int chnlId);

int sb1250dm_movData_buf( uint32 chnl_id, 
					      uint32 dataLen, 
					      char  *srcBuf, 
					      char  *destBuf,
                          void  * cookie);

#endif // SB1250_MOV_API_H_INCLUDED 
