/* AME $Id: ametypes.h,v 1.2 2000/08/17 01:26:53 cgd Exp $ */

/*
 * Copyright 2000 SiByte, Inc.
 * THIS IS UNPUBLISHED, PROPRIETARY SOURCE CODE OF SiByte, Inc.
 */

/*
 * Types for the Absolutely Minimal Environment.
 */

#ifndef	_AMETYPES_H_
#define	_AMETYPES_H_

#ifndef __SIZE_TYPE__
#define	__SIZE_TYPE		unsigned long
#endif
#ifndef __PTRDIFF_TYPE__
#define	__PTRDIFF_TYPE		long
#endif

typedef __SIZE_TYPE__		size_t;
typedef __PTRDIFF_TYPE__	ptrdiff_t;

typedef signed char		 int8_t;
typedef unsigned char		uint8_t;
typedef short			 int16_t;
typedef unsigned short		uint16_t;
typedef int			 int32_t;
typedef unsigned int		uint32_t;
typedef long long		 int64_t;
typedef unsigned long long	uint64_t;

typedef	long			 intptr_t;
typedef	unsigned long		uintptr_t;

typedef	long long		 intmax_t;
typedef	unsigned long long	uintmax_t;

#endif
