/*  FileName: scsi-global.c
 *
 *  Description: Contains declarations for all SCSI module global variables.
 *
 *	Created:	22 February	2001
 *
 *  Author:		Frank Salzmann
 *
 *  Copyright (c)  Agile Storage, Inc. 2001
 */			 

#include "scsi.h"

scsi_ctrl_t	*scsiCtrl;				     /* Pointer to SCSI control block	*/
nfx_cod_t	scsiCodHandle;

int scsiErrLevelCtrl[SCSI_MAX_ERR_LEVEL]; /* Turn on/off error levels		*/
int scsiDebugLevelCtrl[SCSI_MAX_DEBUG_LEVEL]; /* Turn on/off debug levels		*/
scsi_dev_t *scsiDevList[SCSI_MAX_DEV_PER_PORT]; /* List of scsi dev entries */

uint32 scsi_func_trace     = 0;
uint32 scsi_pkt_trace      = 0;
uint32 scsi_debug_drop     = 0;
uint32 scsi_history_enable = 0;
