/*
 *------------------------------------------------------------------------------
 *
 * Name:	scsi-test.h
 *
 * RCS:		$Id: scsi-test.h,v 1.3 2002/07/13 01:44:57 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	Definitions for SCSI level test harness.
 *
 * Created by:	Radek Aster
 *
 * Date Created: 8/23/2001
 *
 *------------------------------------------------------------------------------
 */

#ifndef __SCSI_TEST_H__
#define __SCSI_TEST_H__

#define SCSI_TEST_TIMER_PERIOD	20

void scsi_test_daemon(void *);
void scsi_test_timer(int32, void *);
void scsi_test_new_device_notify(scsi_id_t, scsi_path_t, uchar8, uint32, uint32);
void scsi_test_remove_device_notify(scsi_id_t, scsi_path_t);
void scsi_test_notify(scsi_msgHdr_t *);

#endif /* __SCSI_TEST_H__ */
