/*
 *-----------------------------------------------------------------
 *
 * Name:	nfx-init.S
 *
 * RCS:  $Id: nfx-init.S,v 1.2 2001/11/06 23:44:30 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:	low level board initialization - PROM code
 *
 * Created by:	Rick Lund
 *
 * Date Created:	9/13/01
 *
 *-----------------------------------------------------------------
 */

#ifdef PROM

#include <nfx-target.h>
#include <sys/mips.h>
#include "../prom-pmon/pmon.h"
#include <exports/hwMap.h>
#include <sys/gt64240r.h>
#include <exports/promio-api.h>

	.text

	.globl	nfx_init

	.extern	nfx_init_done

	.set	noreorder

/*-----------------------------------------------------------------
 * Name:	nfx_init
 *
 * Description:
 *				minimal galileo init
 *				uart init
 *				nsdb
 *
 * Created by:	Rick Lund
 *
 * Date Created:	9/13/01
 *
 *-----------------------------------------------------------------
 */
	.ent	nfx_init
nfx_init:


	j		nfx_init_done
	nop

	.end	nfx_init

#endif
