/*
 *------------------------------------------------------------------------------
 *
 * Name:	tape_debug.h
 *
 * RCS:		$Id: tape-debug.h,v 1.1 2001/10/12 01:27:02 raster Exp $
 *
 * Copyright (C) 2001, Agile Storage Inc.
 *
 * Description:	Tape driver debug definitions
 *
 * Created by:	Radek Aster
 *
 * Date Created: 10/9/01
 *
 *------------------------------------------------------------------------------
 */

#ifndef __TAPE_DEBUG_H__
#define __TAPE_DEBUG_H__

extern int tape_dbg_level;

#define P printf

#ifdef DEBUG
#define TP_DBG(level, line) \
	if (tape_dbg_level >= level) printf line
#else
#define	TP_DBG(level, line)
#endif

#define PANIC panic

#endif /* __TAPE_DEBUG_H__ */
