/*
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: init.c,v 1.4 2002/11/07 01:15:03 rick Exp $
 *
 * Copyright (C) 2001, Agile Storage, Inc.
 *
 * Description:
 *
 * Created by:	Rick Lund
 *
 * Date Created:	12/01/01
 *
 *-----------------------------------------------------------------
 */

#include <nfx-incl.h>
#include <sys/tx3927.h>

uint32	jump_block_addr;
uint32	memorysize;
uint32	ssc_memorysize;
uint32	ssc_msg_base;
uint32	ssc_msg_len;
extern uint32	cm_ssc_rev;

/*------------------------------------------------------------------*/
void
init_mem()
{
	extern uchar8	_end[];
	uint32	*base = (uint32 *)_end;
	uint32	*end = (uint32 *)(((uint32)_end + 0x3ffffff) & ~0x3ffffff);
	uint32	*ptr;

	for (ptr=base; ptr<end; ptr++)
		*ptr = 0;
}

/*------------------------------------------------------------------*/
void
tx3927_init(
	uint32	jba
)
{
	*(volatile uint32 *)TX3927_MMAS = 0xc0000000;
	*(volatile uint32 *)TX3927_ILBMMAR = 0x80000000;
	*(volatile uint32 *)TX3927_IPBMMAR = 0x80000000;
	*(volatile uint32 *)TX3927_LBC = 0xc0;

	jump_block_addr = jba;
	ssc_memorysize = *(uint32 *)(jba+4);
	cm_ssc_rev = *(uint32 *)(jba+8);
	ssc_msg_base = *(uint32 *)(jba+0xc);
	ssc_msg_len = *(uint32 *)(jba+0x10);
	memorysize = *(uint32 *)(jba+0x18);

	init_mem();

}	/* tx3927_init() */


