#include "nfx-incl.h"
#include "exports/anpssc-api.h"
#include "exports/elog-api.h"
#include <signal.h>
#include <stdio.h>
#include <time.h>
#include <stdlib.h>
#include <unistd.h>
#include <syslog.h>

int myappid;
char *myname = "hostid";
uint32_t myhostid;
int sock;

static void
mmm()
{
}


int
main(int argc, char **argv)
{
	myappid = eee_getApplicationId(myname);
	myhostid = gethostid();

	daemon(0, 0);
	
	sock = regAgileApp(myname);

	if (sock < 0) {
		syslog(LOG_LOCAL0 | LOG_ERR,
			   "can not register application: %m\n");
		exit(1);
	}

	signal(SIGHUP, mmm);

	while (1) {
		uint32 cpu, slot, plane;
		char buf[20];
		char appName[256];
		int rv = recvAgileMsg(sock, buf, sizeof(buf), NULL,
							  appName, &cpu, &slot, &plane);
		if (rv > 0) {
			sendAgileMsg(sock, &myhostid, sizeof(myhostid),
						 appName, cpu, slot, plane, NULL, NULL, NULL);
		}
		else {
			syslog(LOG_LOCAL0 | LOG_ERR, "recvAgileMsg failed: %m\n");
		}
	}

	return 0;
}
