/* vi:ts=4
 *-----------------------------------------------------------------
 *
 * Name:
 *
 * RCS:  $Id: setdoms.c,v 1.1 2002/04/04 17:44:42 gregs Exp $
 *
 * Copyright (C) 2002, Agile Storage, Inc.
 *
 * Description: Does what the original Perl script was meant to do
 *
 * Created by:	Greg Seibert
 *
 * Date Created: 4 Apr 2002
 *
 *-----------------------------------------------------------------
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

extern int
main()
{
	char linebuf[100];
	char cmdbuf[100];
	char *domainstr;
	char *srvrstr;

	while (!feof(stdin)) {

		if (!fgets (linebuf, sizeof(linebuf), stdin)) {
			break;
		}

		if (linebuf[0] == '#') {
			continue;
		}

		srvrstr = linebuf;

		domainstr = strsep (&srvrstr, " \t"); // Whack the network
		domainstr = strsep (&srvrstr, " \t");

		sprintf (cmdbuf, "/usr/sbin/ypset -d %s %s", domainstr, srvrstr);

		if (system (cmdbuf)) {
			exit (1);
		}
	}
	exit (0);
}
